package com.github.jfcloud.gene.feign;

import com.github.jfcloud.common.core.util.R;
import com.github.jfcloud.gene.vo.AnimalItemVo;
import com.github.jfcloud.gene.vo.ProjectRequestVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;
import java.util.Map;

@FeignClient(value = "jfcloud-gene-biz", contextId = "GeneInfoApi")
public interface GeneInfoApi {

    /**
     * 获取项目的动物类型
     */
    @PostMapping("/gene/animals")
    R<Map<String, List<AnimalItemVo>>> getAnimalList(@RequestBody ProjectRequestVO projectRequestVO);

}
