package com.github.jfcloud.gene.config;

import com.github.jfcloud.common.swagger.annotation.EnableOpenApi;
import io.swagger.v3.oas.models.OpenAPI;
import io.swagger.v3.oas.models.info.Info;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Primary;

@EnableOpenApi
@Configuration
public class OpenApiConfig {

    @Primary
    @Bean
    public OpenAPI customOpenAPI() {
        return new OpenAPI()
                .info(new Info()
                        .title("基因定制 & 样本送检  API")
                        .version("3.0.0")
                        .version("3.0.0")
                        .description("基因定制：动物品系定制、动物品系净化扩繁<br>样本送检：病理样本检测、动物样本检测、动物影像检测、宠物食品检测"));
    }
}
