package com.github.jfcloud.gene.flow.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * 文档更新记录
 * flow_file_version
 */
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@Data
public class FlowFileVersion extends Model implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 流程id
     */
    private Long flowId;

    /**
     * 流程状态
     */
    private String flowStatus;

    /**
     * 模板名称
     */
    private String templateName;


    /**
     * 文件名称
     */
    private String filename;

    /**
     * 文件路径
     */
    private String filepath;

    /**
     * 文件md5
     */
    private String fileMd5;

    /**
     * 请求路径
     */
    private String uri;

    /**
     * 创建人
     */
    @TableField(fill = FieldFill.INSERT)
    private String createBy;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    private static final long serialVersionUID = 1L;

}