package com.github.jfcloud.gene.sample.controller;

import com.github.jfcloud.common.core.util.R;
import com.github.jfcloud.gene.lis.service.LisSyncService;
import com.github.jfcloud.gene.sample.vo.SampleOnlyVo;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.RequiredArgsConstructor;
import lombok.SneakyThrows;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@Tag(name = "样本送检申请单-血清")
@RestController
@RequestMapping("/sample/check/serum")
@RequiredArgsConstructor
public class SampleCheckSerumController {

    private final LisSyncService lisSyncService;

    @Operation(summary = "同步lis")
    @SneakyThrows
    @PostMapping("/syncLis")
    public R syncLis(@RequestBody SampleOnlyVo vo) {
        lisSyncService.sync(vo.getSampleId());
        return R.ok();
    }

    @Operation(summary = "取消同步lis")
    @SneakyThrows
    @PostMapping("/cancelSyncLis")
    public R cancelSyncLis(@RequestBody SampleOnlyVo vo) {
        lisSyncService.cancelSyncLis(vo.getSampleId());
        return R.ok();
    }
}
