ALTER TABLE `jfcloud_gene`.`sample_check_order`
    ADD COLUMN `send_org_id` BIGINT NULL COMMENT '送检机构ID' AFTER `send_user_name`;
ALTER TABLE `jfcloud_gene`.`sample_check_order`
    ADD COLUMN `send_org_name` VARCHAR(255) NULL COMMENT '送检机构名称' AFTER `send_org_id`;
ALTER TABLE `jfcloud_gene`.`sample_check_order`
    ADD COLUMN `ext_data` TEXT NULL COMMENT '附加数据';

CREATE TABLE sample_check_item_serum
(
    id                   int          NOT NULL AUTO_INCREMENT PRIMARY KEY,
    check_order_id       bigint       NOT NULL COMMENT '送检申请单id',
    code_prefix          varchar(255) NULL COMMENT '样本编号前缀',
    code_suffix          varchar(255) NULL COMMENT '样本编号后缀',

    lis_sample_type_id   int COMMENT 'lis样本类型id',
    lis_sample_type_name VARCHAR(20) COMMENT 'lis样本类型',
    lis_sex_id           int COMMENT 'lis性别id',
    lis_sex_name         VARCHAR(10) COMMENT 'lis性别',
    age                  VARCHAR(10) COMMENT '年龄',
    age_unit             varchar(10)  NULL COMMENT '年龄单位',
    lis_pet_type_id      int          NULL COMMENT 'lis动物种类id',
    lis_pet_type_name    varchar(20)  NULL COMMENT 'lis动物种类',
    lis_prof_id          int          NULL COMMENT 'lis专业组id，HT_INFO_PROF',
    lis_prof_name        VARCHAR(255) COMMENT 'lis专业组',
    lis_machine_id       int          NULL COMMENT 'lis仪器id，HT_INFO_MACHINE',
    lis_machine_name     VARCHAR(255) COMMENT 'lis仪器',

    target               TEXT         NULL COMMENT '检测指标',
    num                  varchar(255) NULL COMMENT '样本数量',
    volume               varchar(255) NULL COMMENT '送检样本体积',
    apply_date           varchar(255) NULL COMMENT '申请日期',
    send_date            varchar(255) NULL COMMENT '送检日期',
    quick                char(1)      NULL COMMENT '加急 0否 1是',
    need_back            varchar(255) NULL COMMENT '样本需返还',
    remark               text COMMENT '备注或其他需求',
    create_by            varchar(64)  NOT NULL COMMENT '创建人',
    update_by            varchar(64)  NULL COMMENT '修改人',
    create_time          datetime              DEFAULT NULL COMMENT '创建时间',
    update_time          datetime              DEFAULT NULL COMMENT '修改时间',
    deleted              char(1)      NOT NULL DEFAULT '0' COMMENT '删除标记，0未删除，1已删除',
    tenant_id            bigint                DEFAULT NULL COMMENT '所属租户ID',
    dept_id              bigint                DEFAULT NULL COMMENT '所属部门ID'
) DEFAULT CHARSET = utf8mb4
  COLLATE = utf8mb4_general_ci COMMENT '样本送检申请单血清详情';